package ca.mcgill.cs.swevo.diffcat.view;

import ca.mcgill.cs.swevo.diffcat.model.DiffCatResult;

public class DiffCatNode extends TreeObject {

	private DiffCatResult result;

	public DiffCatNode(DiffCatResult result) {
		super(result.toString());
		this.result = result;
	}
	
	public boolean equals (Object o) {
		if (o == this) {
			return true;
		}
		if (o == null || ! o.getClass().equals(getClass())) {
			return false;
		}
		
		return result.equals( ((DiffCatNode) o).result);
	}
	
	public DiffCatResult getResult () {
		return result; 
	}
}
