package ca.mcgill.cs.swevo.diffcat.view.diff;

import java.io.File;

import org.eclipse.compare.CompareConfiguration;
import org.eclipse.core.runtime.CoreException;

import ca.mcgill.cs.swevo.diffcat.model.DiffCatResult;

public class FileCompareEditorInput extends DiffCatEditorInput {

	public FileCompareEditorInput(CompareConfiguration configuration, File left, File right, DiffCatResult result) {
		super(configuration, left, right, result);
	}

	@Override
	protected FileNode getFileNodeLeft() throws CoreException {
		return new NoChunkFileNode(left, result.getChangeType());
	}

	@Override
	protected FileNode getFileNodeRight() throws CoreException {
		return new NoChunkFileNode(right, result.getChangeType());
	} 
}
