package ca.mcgill.cs.swevo.diffcat.view.filters;

import ca.mcgill.cs.swevo.diffcat.model.DiffCatResult;
import ca.mcgill.cs.swevo.diffcat.view.diff.DiffShell;
import ca.mcgill.cs.swevo.util.LRTuple;

public class BestRightGuessShellFinder extends BestGuessShellFinder {

	public BestRightGuessShellFinder(DiffCatResult r) {
		super(r);
	}

	@Override
	protected void tryDiff (DiffShell shell) {
		
		if (result.isDelete() || result.isInsert()) {
			super.tryDiff(shell);
		}
		
		LRTuple<Integer> vals = getIntegers (shell);
		if (vals.getRight() < bestVals.getRight()  ) {
				best = shell;
				bestVals = vals;
		}
	}
}
