package ca.mcgill.cs.swevo.diffcat.util.binding;

import org.eclipse.jdt.core.dom.IBinding;

import ca.mcgill.cs.swevo.util.filter.IFilter;

public class IsTypeBindingFilter implements IFilter<IBinding> {
	
	private IsTypeBindingFilter () {
		
	}
	
	@Override
	public boolean passesFilter(IBinding t) {
		if (t == null || t.getKind() != IBinding.TYPE) {
			return false;
		} 
		return true;
	}
	
	public static final IsTypeBindingFilter filter = new IsTypeBindingFilter();

}
