/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.diffcat.util.op;

import ca.mcgill.cs.swevo.diffcat.model.DiffCatResult;
import ca.mcgill.cs.swevo.util.op.IOperation;

public class ResetNodesOp implements IOperation<DiffCatResult> {

	@Override
	public DiffCatResult apply(DiffCatResult t) {
		t.setNodeTo(t.getNodeTo());
		t.setNodeFrom(t.getNodeFrom());
		t.setLeftParent(t.getLeftParent());
		t.setRightParent(t.getRightParent());
		return t;
	}

}
