package ca.mcgill.cs.swevo.diffcat.view.actions;

import java.util.Set;

import org.eclipse.jface.action.Action;

import ca.mcgill.cs.swevo.diffcat.view.CategoryView;
import ca.mcgill.cs.swevo.diffcat.view.ClusterManager;

public class ClearAllSeedsAction extends DiffCatAction {

	public ClearAllSeedsAction (CategoryView view) {
		super (view);
	}
	
	@Override
	public void run () {
		ClusterManager manager = ClusterManager.getManager();
		Set<String> seeds = manager.getSeeds();
		if (! seeds.isEmpty()) {
			manager.clearData();
		}
	}
	
}
