package ca.mcgill.cs.swevo.diffcat.view.diff;

import org.eclipse.compare.structuremergeviewer.Differencer;
import org.eclipse.compare.structuremergeviewer.IStructureComparator;


class DiffCatDifferencer extends Differencer {
	
	protected Object[] getChildren(Object input) {
		if (input instanceof IStructureComparator)
			return ((IStructureComparator)input).getChildren();
		else if (input instanceof FileNode) {
			return ((FileNode) input).getChildren();
		}
		return null;
	}
}
