/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.diffcat.util;

import java.io.File;

public class SemDiffFilePathComparer {

	public boolean sameFilePath (String path1, String path2)
	{
		int index1 = path1.indexOf(File.separator);
		int index2 = path2.indexOf(File.separator);
		
		String subPath1 = path1.substring(index1+1);
		String subPath2 = path2.substring(index2+1);
		
		return subPath1.equals(subPath2);
	}
}
