/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.util.filter;

/**
 * Utility class used to filter collections
 * @see CollectionUtil
 * @author david
 *
 * @param <T> The element type to be filtered
 */
public interface IFilter <T> {

	public boolean passesFilter (T t);
}
